/****************************************************/
/* bin2p31                                          */
/****************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define	S_LEN	255
#define	BUFNUM	16000

int main(int argc, char **argv)
{
	char	infile[S_LEN],outfile[S_LEN];
	FILE	*infp, *outfp;
	int		c,num,i;

	if (argc != 2) {
		fprintf(stderr, "Usage: bin2bmp infile\n");
		exit(1);
	}

/* open files */
	strncpy(infile ,argv[1],200);
	strncat(infile ,".bin",5);
	strncpy(outfile,argv[1],200);
	strncat(outfile,".p31",5);

	if ((infp = fopen(infile, "rb")) == NULL) {
		perror(infile);
		exit(1);
	}

	if ((outfp = fopen(outfile, "wb")) == NULL) {
		perror(outfile);
		exit(1);
	}

	num = 0;
	while ((c = fgetc(infp)) != EOF) {
		fputc(c,outfp);
		num ++;
		if (num == 256) {
			num = 0;
			for (i = 0;i < 256;i ++) {
				fputc(0,outfp);
			}
		}
	}

	fclose(infp);
	fclose(outfp);

	return(0);
}
